uuid: 60d7f55b-6d25-4938-8469-d5f2c87ada2f
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.image_browser
    - field.field.paragraph.bp_modal.bp_background
    - field.field.paragraph.bp_modal.bp_gutter
    - field.field.paragraph.bp_modal.bp_image_field
    - field.field.paragraph.bp_modal.bp_modal_body
    - field.field.paragraph.bp_modal.bp_modal_button_text
    - field.field.paragraph.bp_modal.bp_modal_footer
    - field.field.paragraph.bp_modal.bp_modal_title
    - field.field.paragraph.bp_modal.bp_title
    - field.field.paragraph.bp_modal.bp_title_status
    - field.field.paragraph.bp_modal.bp_width
    - field.field.paragraph.bp_modal.field_bp_classes
    - paragraphs.paragraphs_type.bp_modal
  module:
    - advanced_text_formatter
    - entity_browser
    - field_group
    - maxlength
    - paragraphs
third_party_settings:
  field_group:
    group_advanced:
      children:
        - bp_width
        - bp_background
        - bp_image_field
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 5
      format_type: details
      format_settings:
        classes: ''
        id: styling-settings
        open: false
        required_fields: true
    group_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: false
_core:
  default_config_hash: vvH4mjT2TI2vs7CmjiagdT1ukpldqnykTVdGoMPKmy4
id: paragraph.bp_modal.default
targetEntityType: paragraph
bundle: bp_modal
mode: default
content:
  bp_background:
    type: options_buttons
    weight: 26
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_image_field:
    type: entity_browser_entity_reference
    weight: 27
    region: content
    settings:
      entity_browser: image_browser
      field_widget_display: rendered_entity
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings:
        view_mode: field_preview
      selection_mode: selection_append
    third_party_settings: {  }
  bp_modal_body:
    type: paragraphs
    weight: 3
    region: content
    settings:
      title: Component
      title_plural: Components
      edit_mode: closed
      closed_mode: summary
      autocollapse: none
      closed_mode_threshold: 0
      add_mode: modal
      form_display_mode: default
      default_paragraph_type: ''
      features:
        collapse_edit_all: collapse_edit_all
        duplicate: duplicate
    third_party_settings: {  }
  bp_modal_button_text:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  bp_modal_footer:
    type: paragraphs
    weight: 4
    region: content
    settings:
      title: Component
      title_plural: Components
      edit_mode: closed
      closed_mode: summary
      autocollapse: none
      closed_mode_threshold: 0
      add_mode: modal
      form_display_mode: default
      default_paragraph_type: ''
      features:
        collapse_edit_all: collapse_edit_all
        duplicate: duplicate
    third_party_settings: {  }
  bp_modal_title:
    type: string_textfield
    weight: 2
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  bp_title:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  bp_title_status:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  bp_width:
    type: options_buttons
    weight: 24
    region: content
    settings: {  }
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 28
    region: content
    settings: {  }
    third_party_settings: {  }
  translation:
    weight: 6
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  bp_gutter: true
  created: true
  status: true
  uid: true
